For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Custom Variables
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • GETList phone numbers
      • GETGet a phone number
      • POSTImport phone number
      • PATCHUpdate a phone number
      • DELDelete a phone number
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APIPhone Numbers

List phone numbers

||View as Markdown|
GET
/numbers
GET
/v2/numbers
$curl -G https://api.synthflow.ai/v2/numbers \
> -H "Authorization: Bearer <token>" \
> -d workspace=1710107690998x536152705164378100
1{
2 "status": "ok",
3 "response": {
4 "pagination": {
5 "total_records": 38,
6 "limit": 20,
7 "offset": 0
8 },
9 "phone_numbers": [
10 {
11 "number": "+17166663572",
12 "sid": "PN25f3fa6d...035605ca",
13 "is_available": true
14 },
15 {
16 "number": "+17166663442",
17 "sid": null,
18 "is_available": false
19 }
20 ]
21 }
22}
Lists all phone numbers assigned to a workspace.
Was this page helpful?
Previous

Get a phone number

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

workspacestringRequired
Workspace ID.
limitintegerOptionalDefaults to 20
Phone numbers displayed per page.
offsetintegerOptionalDefaults to 0
Index of the first phone number to be returned.
is_availablebooleanOptional

Filters phone numbers by inbound availability.

  • true: only numbers not assigned to inbound agents
  • false: only numbers assigned to inbound agents

Response

200
statusstring
Whether the request was successful.
responseobject

Errors

400
Bad Request Error